import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntFilterObjectSchema as IntFilterObjectSchema } from './IntFilter.schema';
import { StringFilterObjectSchema as StringFilterObjectSchema } from './StringFilter.schema';
import { StringNullableFilterObjectSchema as StringNullableFilterObjectSchema } from './StringNullableFilter.schema';
import { JsonNullableFilterObjectSchema as JsonNullableFilterObjectSchema } from './JsonNullableFilter.schema';
import { UserScalarRelationFilterObjectSchema as UserScalarRelationFilterObjectSchema } from './UserScalarRelationFilter.schema';
import { UserWhereInputObjectSchema as UserWhereInputObjectSchema } from './UserWhereInput.schema'

const twiliosettingswhereinputSchema = z.object({
  AND: z.union([z.lazy(() => TwilioSettingsWhereInputObjectSchema), z.lazy(() => TwilioSettingsWhereInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => TwilioSettingsWhereInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => TwilioSettingsWhereInputObjectSchema), z.lazy(() => TwilioSettingsWhereInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  userId: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  accountSid: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  authToken: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  phoneNumber: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  greetingMessage: z.union([z.lazy(() => StringNullableFilterObjectSchema), z.string()]).optional().nullable(),
  templates: z.lazy(() => JsonNullableFilterObjectSchema).optional(),
  user: z.union([z.lazy(() => UserScalarRelationFilterObjectSchema), z.lazy(() => UserWhereInputObjectSchema)]).optional()
}).strict();
export const TwilioSettingsWhereInputObjectSchema: z.ZodType<Prisma.TwilioSettingsWhereInput> = twiliosettingswhereinputSchema as unknown as z.ZodType<Prisma.TwilioSettingsWhereInput>;
export const TwilioSettingsWhereInputObjectZodSchema = twiliosettingswhereinputSchema;
